Package org.apache.qpid.proton.reactor

# Interface Task

All Superinterfaces:
  `Extendable`

All Known Implementing Classes:
  `TaskImpl`

public interface Task extends Extendable
Represents work scheduled with a `Reactor` for execution at some point in the future.

Tasks are created using the `Reactor.schedule(int, Handler)` method.

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
Cancel the execution of this task.
`long`
`deadline()`
`Reactor`
`getReactor()`

### Methods inherited from interface org.apache.qpid.proton.engine.Extendable

`attachments`

## Method Details

### deadline

long deadline()

Returns:
  the deadline at which the handler associated with the scheduled task should be delivered a `Event.Type.TIMER_TASK` event.

### getReactor

Reactor getReactor()

Returns:
  the reactor that created this task.

### cancel

void cancel()
Cancel the execution of this task. No-op if invoked after the task was already executed.